# Uses of Class
org.eclipse.jdt.core.dom.TypeDeclarationStatement

Packages that use TypeDeclarationStatement
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of TypeDeclarationStatement in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return TypeDeclarationStatement
Modifier and Type
Method
Description
`TypeDeclarationStatement`
AST.`newTypeDeclarationStatement(AbstractTypeDeclaration decl)`
Creates a new unparented local type declaration statement node owned by this AST, for the given type declaration.
`TypeDeclarationStatement`
AST.`newTypeDeclarationStatement(TypeDeclaration decl)`
Creates a new unparented local type declaration statement node owned by this AST, for the given type declaration.
Methods in org.eclipse.jdt.core.dom with parameters of type TypeDeclarationStatement
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(TypeDeclarationStatement node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(TypeDeclarationStatement node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(TypeDeclarationStatement node)`
Visits the given type-specific AST node.